
CREATE TABLE usertime (
    id			char(16) NOT NULL,
    time_on		int(11) NOT NULL DEFAULT '0',
    name		char(15) NOT NULL,
    server		char(15) NOT NULL,
    port		smallint(6),
    port_type		smallint(6),
    service_type	smallint(6),
    protocol		smallint(6),
    ip			char(15),
    call_to		char(15),
    call_from		char(15),
    InBytes		int(11),
    OutBytes		int(11),
    term_cause		smallint(6) NOT NULL DEFAULT '0',
    auth		smallint(6),
    stop_time		datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    start_time		datetime NOT NULL DEFAULT '1997-01-01 00:00:00',
    ts			timestamp(14) NOT NULL,
    time_on_day		int(11) NOT NULL DEFAULT '-1',
    connect_info	char(20),

    PRIMARY KEY (server,id,name),

    KEY time_on (time_on),
    KEY name (name),
    KEY start_time (start_time),
    KEY stop_time (stop_time),
    KEY time_on_day (time_on_day)
);

