#!/usr/bin/perl

#
# Import /etc/passwd and /etc/shadow in MySQL table auth
# Written by Georgi Chorbadzhiyski (gf@cybcom.net)
#
# Requires DBI and DBD::mysql to be installed
#

use DBI;

my $dbusername = 'root';
my $dbpassword = '';

my $dbasename  = 'auth';

my $delete_first = 0;

open(FILE,"</etc/passwd") || die "Can't open /etc/passwd\n";
@passwd=<FILE>;
close(FILE);
$passwd_lines=@passwd;


open(FILE,"</etc/shadow") || die "Can't open /etc/shadow\n";
@shadow=<FILE>;
close(FILE);
$shadow_lines=@shadow;

my $dbh = DBI->connect("DBI:mysql:$dbasename",$dbusername, $dbpassword) || die "Cound not connect to $dbasename database as $dbusername\n";

$sth = $dbh->do("DELETE FROM passwd") or die Mysql::db_errstr if ($delete_first);

for ($i = 0; $i <= $passwd_lines-1; $i++) {
    ($login,$passwd,$uid,$gid,$name,$dir,$shell) = split(/:/,$passwd[$i]);
    
    if ($login eq 'root')     { next; };
    if ($login eq 'operator') { next; };
    if ($login eq 'shutdown') { next; };
    if ($login eq 'sync')     { next; };
    if ($login eq 'bin')      { next; };
    if ($login eq 'ftp')      { next; };
    if ($login eq 'daemon')   { next; };
    if ($login eq 'adm')      { next; };
    if ($login eq 'lp')       { next; };
    if ($login eq 'mail')     { next; };
    if ($login eq 'news')     { next; };
    if ($login eq 'uucp')     { next; };
    if ($login eq 'man')      { next; };
    if ($login eq 'mysql')    { next; };
    if ($login eq 'games')    { next; };
    if ($login eq 'nobody')   { next; };
    if ($login eq 'alias')    { next; };
    if ($login eq 'qmaild')   { next; };
    if ($login eq 'qmaill')   { next; };
    if ($login eq 'qmailp')   { next; };
    if ($login eq 'qmailq')   { next; };
    if ($login eq 'qmailr')   { next; };
    if ($login eq 'qmails')   { next; };
    
    for ($r = 0; $r <= $shadow_lines; $r++) {
       ($log,$pas) = split(/:/,$shadow[$r]);
	
       if ($log eq $login) {
          $passwd = $pas;
 	  break;
      }
    }
     
    $sth = $dbh->do("INSERT INTO passwd (username,passwd,uid,gid,gecos) VALUES ('$login','$passwd',$uid,$gid,'$name')") or die $Mysql::db_errstr;
}
$dbh->disconnect();

print "Accounting information included in $dbasename database.\n";
